Modify

Opened 6 years ago

Closed 6 years ago

Last modified 23 months ago

#9433 closed defect (fixed)

Error message when trying upload data

Reported by: meppen7 Owned by: team
Priority: major Milestone: 13.12
Component: Core validator Version: latest
Keywords: Cc:

Description (last modified by skyper)

Error message when trying to upload data. No data is uploaded.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-12-13 02:34:25
Last Changed Author: Don-vip
Revision: 6472
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-12-11 20:56:11 +0100 (Wed, 11 Dec 2013)
Last Changed Rev: 6472

Identification: JOSM/1.5 (6472 de) Linux openSUSE 13.1 (Bottle) (x86_64)
Memory Usage: 417 MB / 835 MB (83 MB allocated, but free)
Java version: 1.7.0_45, Oracle Corporation, OpenJDK 64-Bit Server VM
Dataset consistency test: No problems found

Plugin: AddrInterpolation (30034)
Plugin: ColumbusCSV (29854)
Plugin: CommandLine (29854)
Plugin: Create_grid_of_ways (29854)
Plugin: FastDraw (29854)
Plugin: FixAddresses (29971)
Plugin: HouseNumberTaggingTool (29854)
Plugin: ImportImagePlugin (29854)
Plugin: InfoMode (29854)
Plugin: OpeningHoursEditor (30117)
Plugin: PicLayer (29854)
Plugin: RoadSigns (30034)
Plugin: SeaMapEditor (29934)
Plugin: SimplifyArea (30017)
Plugin: TombPlugin (44)
Plugin: Tracer2 (30077)
Plugin: alignways (29854)
Plugin: buildings_tools (30057)
Plugin: conflation (0.1.6)
Plugin: contourmerge (1009)
Plugin: dataimport (29854)
Plugin: download_along (30017)
Plugin: editgpx (29854)
Plugin: fieldpapers (b49dadd)
Plugin: geochat (29851)
Plugin: geotools (29767)
Plugin: gpsblam (29832)
Plugin: gpxfilter (29854)
Plugin: graphview (30041)
Plugin: imagery_offset_db (29832)
Plugin: imageryadjust (29854)
Plugin: jts (29854)
Plugin: junctionchecking (29854)
Plugin: livegps (29854)
Plugin: log4j (29853)
Plugin: mapdust (29854)
Plugin: mbtiles (v1.0)
Plugin: measurement (30104)
Plugin: merge-overlap (30034)
Plugin: michigan_left (29854)
Plugin: mirrored_download (30106)
Plugin: namemanager (29930)
Plugin: native_password_manager (29832)
Plugin: notes (v0.6)
Plugin: opendata (30097)
Plugin: openstreetbugs (30004)
Plugin: openvisible (29854)
Plugin: pbf (29854)
Plugin: photo_geotagging (30110)
Plugin: print (29854)
Plugin: proj4j (29854)
Plugin: public_transport (29862)
Plugin: reltoolbox (29854)
Plugin: reverter (30031)
Plugin: routing (29854)
Plugin: scripting (30560)
Plugin: surveyor (29854)
Plugin: tageditor (30110)
Plugin: turnlanes (30043)
Plugin: turnrestrictions (30110)
Plugin: undelete (29854)
Plugin: utilsplugin2 (30017)
Plugin: videomapping (29854)
Plugin: walkingpapers (29854)
Plugin: waydownloader (29908)
Plugin: wayselector (29854)
Plugin: wikipedia (30100)

java.util.NoSuchElementException
	at java.util.Collections$EmptyIterator.next(Collections.java:3006)
	at org.openstreetmap.josm.data.validation.tests.PowerLines$PowerLineError.getNode(PowerLines.java:198)
	at org.openstreetmap.josm.data.validation.tests.PowerLines.endTest(PowerLines.java:99)
	at org.openstreetmap.josm.actions.upload.ValidateUploadHook.checkUpload(ValidateUploadHook.java:61)
	at org.openstreetmap.josm.actions.UploadAction.checkPreUploadConditions(UploadAction.java:198)
	at org.openstreetmap.josm.actions.UploadAction.uploadData(UploadAction.java:221)
	at org.openstreetmap.josm.actions.UploadAction.actionPerformed(UploadAction.java:271)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2018)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2341)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:402)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.AbstractButton.doClick(AbstractButton.java:376)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:833)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:877)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.Component.processMouseEvent(Component.java:6505)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3311)
	at java.awt.Component.processEvent(Component.java:6270)
	at java.awt.Container.processEvent(Container.java:2229)
	at java.awt.Component.dispatchEventImpl(Component.java:4861)
	at java.awt.Container.dispatchEventImpl(Container.java:2287)
	at java.awt.Component.dispatchEvent(Component.java:4687)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4832)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4492)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4422)
	at java.awt.Container.dispatchEventImpl(Container.java:2273)
	at java.awt.Window.dispatchEventImpl(Window.java:2719)
	at java.awt.Component.dispatchEvent(Component.java:4687)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:735)
	at java.awt.EventQueue.access$200(EventQueue.java:103)
	at java.awt.EventQueue$3.run(EventQueue.java:694)
	at java.awt.EventQueue$3.run(EventQueue.java:692)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:87)
	at java.awt.EventQueue$4.run(EventQueue.java:708)
	at java.awt.EventQueue$4.run(EventQueue.java:706)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:705)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)

Attachments (2)

heute.osm.zip (553.4 KB) - added by anonymous 6 years ago.
sonntag.osm.zip (1.6 MB) - added by anonymous 6 years ago.

Change History (9)

comment:1 Changed 6 years ago by skyper

Component: CoreCore validator
Description: modified (diff)
Priority: criticalmajor

You can disable the validator run before upload.

comment:2 Changed 6 years ago by skyper

Is it possible for you to tell us the area and/or attach a small sample to reproduce the error. - Thanks

Last edited 6 years ago by skyper (previous) (diff)

Changed 6 years ago by anonymous

Attachment: heute.osm.zip added

comment:3 Changed 6 years ago by anonymous

heute.osm,zip is the stored file of the data that caused the error message. The data could be uploaded after restart of JOSM.

Changed 6 years ago by anonymous

Attachment: sonntag.osm.zip added

comment:4 Changed 6 years ago by anonymous

Error again. see sonntag.osm

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-12-13 02:34:25
Last Changed Author: Don-vip
Revision: 6472
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-12-11 20:56:11 +0100 (Wed, 11 Dec 2013)
Last Changed Rev: 6472

Identification: JOSM/1.5 (6472 de) Linux openSUSE 13.1 (Bottle) (x86_64)
Memory Usage: 446 MB / 835 MB (119 MB allocated, but free)
Java version: 1.7.0_45, Oracle Corporation, OpenJDK 64-Bit Server VM
Dataset consistency test: No problems found

Plugin: AddrInterpolation (30034)
Plugin: ColumbusCSV (29854)
Plugin: CommandLine (29854)
Plugin: Create_grid_of_ways (29854)
Plugin: FastDraw (29854)
Plugin: FixAddresses (29971)
Plugin: HouseNumberTaggingTool (29854)
Plugin: ImportImagePlugin (29854)
Plugin: InfoMode (29854)
Plugin: OpeningHoursEditor (30117)
Plugin: PicLayer (29854)
Plugin: RoadSigns (30034)
Plugin: SeaMapEditor (29934)
Plugin: SimplifyArea (30017)
Plugin: TombPlugin (44)
Plugin: Tracer2 (30077)
Plugin: alignways (29854)
Plugin: buildings_tools (30057)
Plugin: conflation (0.1.6)
Plugin: contourmerge (1009)
Plugin: dataimport (29854)
Plugin: download_along (30017)
Plugin: editgpx (29854)
Plugin: fieldpapers (b49dadd)
Plugin: geochat (29851)
Plugin: geotools (29767)
Plugin: gpsblam (29832)
Plugin: gpxfilter (29854)
Plugin: graphview (30041)
Plugin: imagery_offset_db (29832)
Plugin: imageryadjust (29854)
Plugin: jts (29854)
Plugin: junctionchecking (29854)
Plugin: livegps (29854)
Plugin: log4j (29853)
Plugin: mapdust (29854)
Plugin: mbtiles (v1.0)
Plugin: measurement (30104)
Plugin: merge-overlap (30034)
Plugin: michigan_left (29854)
Plugin: mirrored_download (30106)
Plugin: namemanager (29930)
Plugin: native_password_manager (29832)
Plugin: notes (v0.6)
Plugin: opendata (30097)
Plugin: openstreetbugs (30004)
Plugin: openvisible (29854)
Plugin: pbf (29854)
Plugin: photo_geotagging (30110)
Plugin: print (29854)
Plugin: proj4j (29854)
Plugin: public_transport (29862)
Plugin: reltoolbox (29854)
Plugin: reverter (30031)
Plugin: routing (29854)
Plugin: scripting (30560)
Plugin: surveyor (29854)
Plugin: tageditor (30110)
Plugin: turnlanes (30043)
Plugin: turnrestrictions (30110)
Plugin: undelete (29854)
Plugin: utilsplugin2 (30017)
Plugin: videomapping (29854)
Plugin: walkingpapers (29854)
Plugin: waydownloader (29908)
Plugin: wayselector (29854)
Plugin: wikipedia (30100)

java.util.NoSuchElementException

at java.util.Collections$EmptyIterator.next(Collections.java:3006)
at org.openstreetmap.josm.data.validation.tests.PowerLines$PowerLineError.getNode(PowerLines.java:198)
at org.openstreetmap.josm.data.validation.tests.PowerLines.endTest(PowerLines.java:99)
at org.openstreetmap.josm.actions.upload.ValidateUploadHook.checkUpload(ValidateUploadHook.java:61)
at org.openstreetmap.josm.actions.UploadAction.checkPreUploadConditions(UploadAction.java:198)
at org.openstreetmap.josm.actions.UploadAction.uploadData(UploadAction.java:221)
at org.openstreetmap.josm.actions.UploadAction.actionPerformed(UploadAction.java:271)
at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2018)
at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2341)
at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:402)
at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
at javax.swing.AbstractButton.doClick(AbstractButton.java:376)
at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:833)
at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:877)
at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
at java.awt.Component.processMouseEvent(Component.java:6505)
at javax.swing.JComponent.processMouseEvent(JComponent.java:3311)
at java.awt.Component.processEvent(Component.java:6270)
at java.awt.Container.processEvent(Container.java:2229)
at java.awt.Component.dispatchEventImpl(Component.java:4861)
at java.awt.Container.dispatchEventImpl(Container.java:2287)
at java.awt.Component.dispatchEvent(Component.java:4687)
at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4832)
at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4492)
at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4422)
at java.awt.Container.dispatchEventImpl(Container.java:2273)
at java.awt.Window.dispatchEventImpl(Window.java:2719)
at java.awt.Component.dispatchEvent(Component.java:4687)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:735)
at java.awt.EventQueue.access$200(EventQueue.java:103)
at java.awt.EventQueue$3.run(EventQueue.java:694)
at java.awt.EventQueue$3.run(EventQueue.java:692)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:87)
at java.awt.EventQueue$4.run(EventQueue.java:708)
at java.awt.EventQueue$4.run(EventQueue.java:706)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:705)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)

comment:5 Changed 6 years ago by Don-vip

Resolution: fixed
Status: newclosed

In 6475/josm:

fix #9433 - NoSuchElementException in validator at upload (probably after purge of all elements of a given error)

comment:6 Changed 6 years ago by Don-vip

Milestone: 13.12 (6502)

comment:7 Changed 23 months ago by stoecker

Milestone: 13.12 (6502)13.12

Milestone renamed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.